agency-board
GET /v1/agency/boards/{boardId}/webhooks/{webhookId}
One webhook subscription.
പ്രമാണീകരണം
ബെയറർ ടോക്കണായി ഒരു API കീ അയക്കുക. ഈ എൻഡ്പോയിന്റ് അതിന്റെ സ്പെസിഫിക്കേഷനിൽ ഒരു പ്രത്യേക അനുമതി വ്യക്തമാക്കിയിട്ടില്ല, അതിനാൽ അനുമാനിക്കുന്നതിന് പകരം നിങ്ങളുടെ കീയ്ക്ക് ഏറ്റവും കുറഞ്ഞത് ആവശ്യമുള്ളത് നൽകുകയും പ്രതികരണം പരിശോധിക്കുകയും ചെയ്യുക.
ഈ എൻഡ്പോയിന്റ് ഓർഗനൈസേഷൻ ഐഡി സ്വീകരിക്കുന്നില്ല. നിങ്ങളുടെ കീ അത് ഉൾപ്പെടുന്ന ഓർഗനൈസേഷനെ ഇതിനകം തിരിച്ചറിയുന്നുണ്ട്, ഒപ്പം പ്രതികരണം അതിലേക്ക് പരിമിതപ്പെടുത്തിയിരിക്കുന്നു.
ശ്രമിച്ച് നോക്കൂ
കോണമ്ബ്രക്കറ്റുകളിലുള്ള ഏതും നിങ്ങളുടെ സ്വന്തം മൂല്യങ്ങൾ ഉപയോഗിച്ച് മാറ്റിസ്ഥാപിക്കുക, കീ പ്ലേസ്ഹോൾഡർ നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ ഒരു കീ ഉപയോഗിച്ചും മാറ്റിസ്ഥാപിക്കുക.
curl -X GET https://api.zinndigital.com/v1/agency/boards/{boardId}/webhooks/{webhookId} \
-H "Authorization: Bearer zdk_live_…"സൈൻ ഇൻ ചെയ്തിട്ടുണ്ടോ? നിങ്ങളുടെ ഡാഷ്ബോർഡിലെ API കൺസോൾ നിങ്ങളുടെ യഥാർത്ഥ ഓർഗനൈസേഷൻ ഐഡിയും നിങ്ങളുടെ സ്വന്തം കീയും പൂരിപ്പിക്കുകയും, യഥാർത്ഥ പ്രതികരണം (response) നിങ്ങൾക്ക് കാണുന്നതിനായി ലൈവ് API-ലേക്ക് അഭ്യർത്ഥന (request) പ്രവർത്തിപ്പിക്കുകയും ചെയ്യുന്നു. ഈ എൻഡ്പോയിന്റ് API കൺസോളിൽ തുറക്കുക
പരാമീറ്ററുകൾ
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
boardId (path) | Uuid | അതെ | Project board ID (UUIDv7). |
webhookId (path) | Uuid | അതെ | Outbound webhook subscription ID (UUIDv7). |
പ്രതികരണം
| പേര് | തരം | ആവശ്യമാണ് | എന്താണിത് |
|---|---|---|---|
id | Uuid | അതെ | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | അതെ | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | അതെ | — |
url | string | അതെ | — |
events | string[] | ഇല്ല | — |
status | BoardAutomationStatus | അതെ | `suspended` means WE paused it after repeated failure and it carries a reason the customer has not read. It is a third state rather than a reuse of `disabled`, because collapsin… |
has_secret | boolean | അതെ | Whether a signing secret is stored. The secret itself is in Vault and is returned only by create and rotate; no endpoint can read it back. |
consecutive_failures | integer | ഇല്ല | — |
suspended_reason | string | ഇല്ല | Why we paused this webhook, in authored copy from a closed table — never an exception from our own code. It distinguishes your endpoint refusing a delivery, your endpoint being… |
suspended_at | string | ഇല്ല | — |
last_delivered_at | string | ഇല്ല | — |
last_failed_at | string | ഇല്ല | — |
created_at | string | ഇല്ല | — |
ഈ എൻഡ്പോയിന്റ് നൽകാൻ കഴിയുന്ന പിഴവുകൾ
401 · 403 · 404